<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="component">all</xsl:param>

<xsl:template match="/">
  <H3><A href="#1">Feature Name ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_featurename.sql )</A></H3> 
  <H3><A href="#2">Feature Profile ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_feature_profile_base.sql )</A></H3>
  <H3><A href="#3">subscriber Feature Data ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_SFD_base.sql )</A></H3>
  <H3><A href="#4">Feature Config ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_feature_config_base.sql )</A></H3>
  <xsl:call-template name="feature-name"/>
  <xsl:call-template name="feature-profile"/>
  <xsl:call-template name="subscriber-feature-data"/>
  <xsl:call-template name="feature-config"/>
</xsl:template>

<xsl:template name="feature-name">
  <P/><HR/>
  <H3 id="#1">Feature Name ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_featurename.sql )</H3>
  <xsl:choose>
  <xsl:when test="$component='all'">  
    <xsl:call-template name="feature-name-code"/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]">
      <xsl:sort select="@name"/>
      <dd>addBase(
        '<xsl:value-of select="@name"/>',
        <xsl:if test="DESCRIPTION!=''">'<xsl:value-of select="DESCRIPTION"/>'</xsl:if>
        <xsl:if test="not(DESCRIPTION!='')">NULL</xsl:if>
      );</dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/APPLIES_TO/TABLE[not(@status='removed')]">
      <xsl:sort select="current()"/>
      <dd>
      <xsl:if test="current()='SLE'">addSle</xsl:if>
      <xsl:if test="current()='SUBSCRIBER_TOD_SCHEDULE'">addSTS</xsl:if>
      <xsl:if test="current()='SUBSCRIBER_SIP_TRIGGER_PROFILE'">addSSTP</xsl:if>
        ('<xsl:value-of select="../../@name"/>',
          <xsl:if test="../../DESCRIPTION!=''">'<xsl:value-of select="../../DESCRIPTION"/>'</xsl:if>
          <xsl:if test="not(../../DESCRIPTION!='')">NULL</xsl:if>
        );
      </dd>
    </xsl:for-each>
    <br/>
    end;<br/>
    /<br/>
    <br/>
    COMMIT;<br/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]">
      <xsl:sort select="@name"/>
      <dd>addBase(
        '<xsl:value-of select="@name"/>',
        <xsl:if test="DESCRIPTION!=''">'<xsl:value-of select="DESCRIPTION"/>'</xsl:if>
        <xsl:if test="not(DESCRIPTION!='')">NULL</xsl:if>
      );</dd>
    </xsl:for-each>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/APPLIES_TO/TABLE">
      <xsl:sort select="current()"/>
      <dd>
      <xsl:if test="current()='SLE'">addSle</xsl:if>
      <xsl:if test="current()='SUBSCRIBER_TOD_SCHEDULE'">addSTS</xsl:if>
      <xsl:if test="current()='SUBSCRIBER_SIP_TRIGGER_PROFILE'">addSSTP</xsl:if>
        ('<xsl:value-of select="../../@name"/>',
          <xsl:if test="../../DESCRIPTION!=''">'<xsl:value-of select="../../DESCRIPTION"/>'</xsl:if>
          <xsl:if test="not(../../DESCRIPTION!='')">NULL</xsl:if>
        );
      </dd>
    </xsl:for-each>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="feature-profile">
  <P/><HR/>
  <H3 id="#2">Feature Profile ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_feature_profile_base.sql )</H3>
  <xsl:choose>
  <xsl:when test="$component='all'">  
    <xsl:call-template name="feature-profile-code"/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/FEATURE_PROFILE/TYPE[not(@status='removed')]">
    <xsl:sort select="../../@name"/>
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-base"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/FEATURE_PROFILE/TYPE[not(@status='removed')]/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-base-pos-val"/></dd>
    </xsl:for-each>
    <br/>
    end;<br/>
    /<br/>
    <br/>
    COMMIT;<br/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/FEATURE_PROFILE/TYPE">
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-base"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/FEATURE_PROFILE/TYPE/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-base-pos-val"/></dd>
    </xsl:for-each>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="subscriber-feature-data">
  <xsl:param name="type"/>
  <P/><HR/>
  <H3 id="#3">subscriber Feature Data ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_SFD_base.sql )</H3>
  <xsl:choose>
  <xsl:when test="$component='all'">  
    <xsl:call-template name="subscriber-feature-data-code"/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/SUBSCRIBER_FEATURE_DATA/TYPE[not(@status='removed')]">
    <xsl:sort select="../../@name"/>
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-base"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/SUBSCRIBER_FEATURE_DATA/TYPE[not(@status='removed')]/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-base-pos-val"/></dd>
    </xsl:for-each>
    <br/>
    end;<br/>
    /<br/>
    <br/>
    COMMIT;<br/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/SUBSCRIBER_FEATURE_DATA/TYPE">
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-base"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/SUBSCRIBER_FEATURE_DATA/TYPE/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-base-pos-val"/></dd>
    </xsl:for-each>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="feature-name-code">
  DELETE FROM FEATURENAME WHERE PREDEFINED='Y';<br/>
  <br/>
  declare<br/>
  <br/>
  procedure addBase(fname varchar2, vdesc varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO FEATURENAME VALUES(fname,'FEATURE','Y',vdesc);</dd>
  end;<br/>
  <br/>
  procedure addSle(fname varchar2, vdesc varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO FEATURENAME VALUES(fname,'SLE','Y',vdesc);</dd>
  end;<br/>
  <br/>
  procedure addSTS(fname varchar2, vdesc varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO FEATURENAME VALUES(fname,'SUBSCRIBER_TOD_SCHEDULE','Y',vdesc);</dd>
  end;<br/>
  <br/>
  procedure addSSTP(fname varchar2, vdesc varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO FEATURENAME VALUES(fname,'SUBSCRIBER_SIP_TRIGGER_PROFILE','Y',vdesc);</dd>
  end;<br/>
  <br/>
  begin<br/>
  <br/>
</xsl:template>

<xsl:template name="feature-profile-code">
  DELETE FROM FEATURE_PROFILE_BASE_POS_VAL<br/>
  WHERE (FNAME,TYPE) IN
    <dd>(SELECT FNAME,TYPE FROM FEATURE_PROFILE_BASE WHERE PREDEFINED = 'Y');</dd>
  DELETE FROM FEATURE_PROFILE_BASE WHERE PREDEFINED='Y';<br/>
  <br/>
  declare<br/>
  <br/>
  procedure addBase(fname varchar2, type varchar2, datatype varchar2,
                <dd>vfrom integer, vto integer, chk varchar2)</dd>
  as<br/>
  begin
    <dd>INSERT INTO FEATURE_PROFILE_BASE</dd>
    <dd>VALUES(fname,type,datatype,vfrom,vto,'Y',chk);</dd>
  end;<br/>
  <br/>
  procedure addPosVal(fname varchar2, type varchar2, value varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO FEATURE_PROFILE_BASE_POS_VAL VALUES(fname,type,value);</dd>
  end;<br/>
  <br/>
  begin<br/>
  <br/>
</xsl:template>

<xsl:template name="subscriber-feature-data-code">
  DELETE FROM SFD_BASE_POS_VAL<br/>
  WHERE (FNAME,TYPE) IN
    <dd>(SELECT FNAME,TYPE FROM SFD_BASE WHERE PREDEFINED='Y');</dd>
  DELETE FROM SFD_BASE WHERE PREDEFINED='Y';<br/>
  <br/>
  declare<br/>
  <br/>
  procedure addBase(fname varchar2, type varchar2, datatype varchar2,
                <dd>vfrom integer, vto integer, chk char)</dd>
  as<br/>
  begin
    <dd>INSERT INTO SFD_BASE</dd>
    <dd>VALUES(fname,type,datatype,vfrom,vto,chk,'Y');</dd>
  end;<br/>
  <br/>
  procedure addPosVal(fname varchar2, type varchar2, value varchar2)<br/>
  as<br/>
  begin
    <dd>INSERT INTO SFD_BASE_POS_VAL VALUES(fname,type,value);</dd>
  end;<br/>
  <br/>
  begin<br/>
  <br/>
</xsl:template>
  
<xsl:template name="feature-config">
  <P/><HR/>
  <H3 id="#4">Feature Config ( /vob/bts/database/cadmin/create/data/opti_data/OPTI_90S_feature_config_base.sql )</H3>
  <xsl:choose>
  <xsl:when test="$component='all'"> 
    DELETE FROM FEATURE_CONFIG_BASE_POS_VAL<br/>
    WHERE (FNAME,TYPE) IN
      <dd>(SELECT FNAME,TYPE FROM FEATURE_CONFIG_BASE WHERE PREDEFINED='Y');</dd>
    DELETE FROM FEATURE_CONFIG_BASE WHERE PREDEFINED='Y';<br/>
    <br/>
    declare<br/>
    <br/>
    procedure addBase(fname varchar2, type varchar2, datatype varchar2,
                  <dd>vfrom integer, vto integer, chk char, def varchar2,</dd>
                  <dd>tableName varchar2, tokenName varchar2)</dd>
    as<br/>
    begin<br/>
      <dd>INSERT INTO FEATURE_CONFIG_BASE</dd>
      <dd>VALUES(fname,type,datatype,vfrom,vto,chk,def,'Y',tableName, tokenName);</dd>
    end;<br/>
    <br/>
    procedure addPosVal(fname varchar2, type varchar2, value varchar2)<br/>
    as<br/>
    begin
      <dd>INSERT INTO FEATURE_CONFIG_BASE_POS_VAL VALUES(fname,type,value);</dd>
    end;<br/>
    <br/>
    begin<br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/FEATURE_CONFIG/TYPE[not(@status='removed')]">
    <xsl:sort select="../../@name"/>
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-config"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[not(@status='removed')]/FEATURE_CONFIG/TYPE[not(@status='removed')]/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-config-pos-val"/></dd>
    </xsl:for-each>
    <br/>
    end;<br/>
    /<br/>
    <br/>
    COMMIT;<br/>
  </xsl:when>
  <xsl:otherwise>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/FEATURE_CONFIG/TYPE">
      <xsl:sort select="@name"/>
      <dd><xsl:call-template name="insert-feature-config"/></dd>
    </xsl:for-each>
    <br/>
    <xsl:for-each select="FEATURE_MATRIX/FEATURE[@name=$component]/FEATURE_CONFIG/TYPE/STRING/VALUE">
      <dd><xsl:call-template name="insert-feature-config-pos-val"/></dd>
    </xsl:for-each>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="insert-feature-base">
  addBase(
    '<xsl:value-of select="../../@name"/>',
    '<xsl:value-of select="@name"/>',
    <xsl:apply-templates select="STRING|INTEGER|DIGITS|BOOLEAN"/>
    <xsl:apply-templates select="STRING/CHK_POS_VAL"/>
    <xsl:if test="not(STRING/CHK_POS_VAL!='')">'N'</xsl:if>
  );
</xsl:template>

<xsl:template name="insert-feature-base-pos-val">
  addPosVal(
    '<xsl:value-of select="../../../../@name"/>',
    '<xsl:value-of select="../../@name"/>',
    '<xsl:value-of select="current()"/>'
  );
</xsl:template>

<xsl:template name="insert-feature-config">
  addBase(
    '<xsl:value-of select="../../@name"/>',
    '<xsl:value-of select="@name"/>',
    <xsl:apply-templates select="STRING|INTEGER|DIGITS|BOOLEAN"/>
    <xsl:apply-templates select="STRING/CHK_POS_VAL"/>
    <xsl:if test="STRING/CHK_POS_VAL!=''">,</xsl:if>
    <xsl:if test="not(STRING/CHK_POS_VAL!='')">'N',</xsl:if>
    <xsl:apply-templates select="DEFAULT_VALUE"/>
    <xsl:if test="not(DEFAULT_VALUE!='')"> NULL,</xsl:if>
    <xsl:apply-templates select="FOREIGN_KEY"/>
    <xsl:if test="not(FOREIGN_KEY!='')">NULL,NULL</xsl:if>
  );
</xsl:template>

<xsl:template name="insert-feature-config-pos-val">
  addPosVal(
    '<xsl:value-of select="../../../../@name"/>',
    '<xsl:value-of select="../../@name"/>',
    '<xsl:value-of select="current()"/>'
  );
</xsl:template>

<xsl:template match="STRING">
  'STRING',NULL,NULL,
</xsl:template>

<xsl:template match="INTEGER">
  <xsl:choose>
  <xsl:when test="FROM_VALUE!=''">
    'INTEGER','<xsl:value-of select="FROM_VALUE"/>','<xsl:value-of select="TO_VALUE"/>',
  </xsl:when>
  <xsl:otherwise>
    'INTEGER',NULL,NULL,
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="DIGITS">
  <xsl:choose>
  <xsl:when test="FROM_VALUE!=''">
    'DIGITS','<xsl:value-of select="FROM_VALUE"/>','<xsl:value-of select="TO_VALUE"/>',
  </xsl:when>
  <xsl:otherwise>
    'DIGITS',NULL,NULL,
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="BOOLEAN">
  'BOOLEAN',NULL,NULL,
</xsl:template>

<xsl:template match="FOREIGN_KEY">
  <xsl:choose>
  <xsl:when test="TABLENAME!=''">
    '<xsl:value-of select="TABLENAME"/>','<xsl:value-of select="TOKENNAME"/>'
  </xsl:when>
  <xsl:otherwise>
    NULL,NULL
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="DEFAULT_VALUE">
  <xsl:choose>
  <xsl:when test="current()!=''">
    '<xsl:value-of select="current()"/>',
  </xsl:when>
  <xsl:otherwise>
    NULL,
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="CHK_POS_VAL">
  '<xsl:value-of select="current()"/>'
</xsl:template>

</xsl:stylesheet>

