<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="product">NGN</xsl:param>
<xsl:param name="module">CLI</xsl:param>
<xsl:param name="myRel"/>
<xsl:param name="oldRel"/>
<xsl:param name="choice">internal</xsl:param>
<xsl:param name="category"/>
<xsl:variable name="release" select="PRODUCT/GROUP/MODULE[@type=$product]/RELEASE"/>
<xsl:variable name="rdoc" select="document($release)"/>
      
<xsl:template match="/">

  <form name="select">
  <fieldset>
  <legend><font color="white">
    BTS 10200 Softswitch CLI Database. &#169; 2009-2010 Cisco Systems, Inc. All rights reserved.
  </font></legend>
  <table border="0" width="95%">
    <tr align="left">
      <td>
        <xsl:call-template name="display-product"/>
        <xsl:text>  </xsl:text>
        <xsl:call-template name="display-module"/>
      </td>
    </tr>
  </table>
  <table border="0" width="95%">
    <tr align="left">
      <xsl:call-template name="display-release"/>
      <xsl:call-template name="help"/>
    </tr>
  </table>
  </fieldset>
  </form>

</xsl:template>

<xsl:template name="display-product">
  <input type="hidden" name="choice" value="{$choice}"/>
  <select name="product"
          style="font-family: verdana; font-size: 12px;color:white;background-color:purple;"
          onchange="showRelease(getProductParams())">
    <xsl:for-each select="PRODUCT/GROUP/MODULE[contains(@use,$choice)]">
      <xsl:choose>
      <xsl:when test="@type != $product">
        <option value="{@type}">
          <xsl:if test="FULL_NAME!=''">
            <xsl:value-of select="FULL_NAME"/>
          </xsl:if>
         <xsl:if test="not(FULL_NAME!='')">
            <xsl:value-of select="@type"/>
          </xsl:if>
        </option>
      </xsl:when>
      <xsl:otherwise>
        <option value="{@type}" selected="">
          <xsl:if test="FULL_NAME!=''">
            <xsl:value-of select="FULL_NAME"/>
          </xsl:if>
         <xsl:if test="not(FULL_NAME!='')">
            <xsl:value-of select="@type"/>
          </xsl:if>
        </option>
      </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </select>
</xsl:template>

<xsl:template name="display-module">
  <xsl:variable name="defMod" select="$rdoc/RELEASE/GROUP/MODULE[contains(@default,$choice)]/@type"/>
  <xsl:if test="$module!=''">
    <xsl:call-template name="run-display-module">
      <xsl:with-param name="default" select="$module"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$module=''">
    <xsl:call-template name="run-display-module">
      <xsl:with-param name="default" select="$defMod"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="run-display-module">
  <xsl:param name="default"/>
  <select name="module"
          style="font-family: verdana; font-size: 12px;color:white;background-color:purple;"
          onchange="showRelease(getModuleParams())">
    <xsl:for-each select="$rdoc/RELEASE/GROUP/MODULE[contains(@use,$choice)]">
      <xsl:choose>
      <xsl:when test="@type != $default">
        <option value="{@type}">
          <xsl:if test="FULL_NAME!=''">
            <xsl:value-of select="FULL_NAME"/>
          </xsl:if>
         <xsl:if test="not(FULL_NAME!='')">
            <xsl:value-of select="@type"/>
          </xsl:if>
        </option>
      </xsl:when>
      <xsl:otherwise>
        <option value="{@type}" selected="">
          <xsl:if test="FULL_NAME!=''">
            <xsl:value-of select="FULL_NAME"/>
          </xsl:if>
         <xsl:if test="not(FULL_NAME!='')">
            <xsl:value-of select="@type"/>
          </xsl:if>
        </option>
      </xsl:otherwise>
      </xsl:choose>
    </xsl:for-each>
  </select>
</xsl:template>

<xsl:template name="display-release">
  <xsl:variable name="defMod" select="$rdoc/RELEASE/GROUP/MODULE[contains(@default,$choice)]/@type"/>
  <xsl:if test="$module!=''">
    <xsl:call-template name="from-release">
      <xsl:with-param name="default" select="$module"/>
    </xsl:call-template>
    <xsl:call-template name="to-release">
      <xsl:with-param name="default" select="$module"/>
    </xsl:call-template>
    <xsl:call-template name="component">
      <xsl:with-param name="default" select="$module"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="not($module!='')">
    <xsl:call-template name="from-release">
      <xsl:with-param name="default" select="$defMod"/>
    </xsl:call-template>
    <xsl:call-template name="to-release">
      <xsl:with-param name="default" select="$defMod"/>
    </xsl:call-template>
    <xsl:call-template name="component">
      <xsl:with-param name="default" select="$defMod"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="from-release">
  <xsl:param name="default"/>
  <xsl:variable name="defRel"
      select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/@name"/>
  <xsl:if test="$myRel!=''">
    <xsl:call-template name="display-from-release">
      <xsl:with-param name="default" select="$myRel"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myRel=''">
    <xsl:call-template name="display-from-release">
      <xsl:with-param name="default" select="$defRel"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="display-from-release">
  <xsl:param name="default"/>
  <xsl:param name="myModule"/>
  <td>
    <select name="myRel"
            style="font-family: verdana; font-size: 12px;"
            onchange="showRelease(getMyReleaseParams())">
      <xsl:for-each select="$rdoc/RELEASE/GROUP/MODULE[@type=$myModule and contains(@use,$choice)]/../VERSION[not(@hide=$choice)]">
        <xsl:choose>
        <xsl:when test="@name=$default">
          <option value="{@name}" selected="">
            <xsl:value-of select="@name"/>
          </option>
        </xsl:when>
        <xsl:otherwise>
          <option value="{@name}">
            <xsl:value-of select="@name"/>
          </option>
        </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </select>
  </td>
</xsl:template>

<xsl:template name="to-release">
  <xsl:param name="default"/>
  <xsl:variable name="defRel"
      select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/@name"/>
  <xsl:if test="$myRel!=''">
    <xsl:call-template name="display-to-release">
      <xsl:with-param name="myRel" select="$myRel"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myRel=''">
    <xsl:call-template name="display-to-release">
      <xsl:with-param name="myRel" select="$defRel"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="display-to-release">
  <xsl:param name="myRel"/>
  <xsl:param name="myModule"/>
  <td>
    <b>Compare With: </b>
    <select name="oldRel"
            style="font-family: verdana; font-size: 12px;"
            onchange="showRelease(getOldReleaseParams())">
      <option value="" selected="">XXXXXXXXXXX</option>
      <xsl:for-each select="$rdoc/RELEASE/GROUP/MODULE[@type=$myModule and contains(@use,$choice)]/../VERSION[@name=$myRel]/COMPARE_WITH[not(@hide=$choice)]">
        <xsl:choose>
        <xsl:when test="@name!=$oldRel">
          <option value="{@name}">
            <xsl:value-of select="@name"/>
          </option>
        </xsl:when>
        <xsl:otherwise>
          <option value="{@name}" selected="">
            <xsl:value-of select="@name"/>
          </option>
        </xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
    </select>
  </td>
</xsl:template>

<xsl:template name="component">
  <xsl:param name="default"/>
  <xsl:variable name="xslFile"
  		select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/STYLESHEET[contains(@use,$choice) or not(@use!='')]"/>
  <xsl:choose>
  <xsl:when test="$myRel=''">
    <xsl:call-template name="choose-module">
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="filename"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/DOCUMENT"/>
      <xsl:with-param name="upgradeFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/UPGRADE_IMPACT"/>
      <xsl:with-param name="mDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/DESCRIPTION"/>
      <xsl:with-param name="oDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[contains(@default,$choice) and not(@hide=$choice)]/DESCRIPTION_P2"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:when>
  <xsl:when test="$myRel!='' and $oldRel=''">
    <xsl:call-template name="choose-module">
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="filename"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/DOCUMENT"/>
      <xsl:with-param name="upgradeFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/UPGRADE_IMPACT"/>
      <xsl:with-param name="mDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/DESCRIPTION"/>
      <xsl:with-param name="oDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/DESCRIPTION_P2"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:when>
  <xsl:when test="$myRel!='' and $oldRel!=''">
    <xsl:call-template name="choose-module">
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="filename"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/COMPARE_WITH[@name=$oldRel]/DOCUMENT"/>
      <xsl:with-param name="upgradeFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/COMPARE_WITH[@name=$oldRel]/UPGRADE_IMPACT"/>
      <xsl:with-param name="mDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/DESCRIPTION"/>
      <xsl:with-param name="oDescFile"
          select="$rdoc/RELEASE/GROUP/MODULE[@type=$default and contains(@use,$choice)]/../VERSION[@name=$myRel]/DESCRIPTION_P2"/>
      <xsl:with-param name="myModule" select="$default"/>
    </xsl:call-template>
  </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template name="choose-module">
  <xsl:param name="xslFile"/>
  <xsl:param name="filename"/>
  <xsl:param name="upgradeFile"/>
  <xsl:param name="mDescFile"/>
  <xsl:param name="oDescFile"/>
  <xsl:param name="myModule"/>
  <xsl:variable name="cliDoc" select="document($filename)/CLI/NOUN"/>
  <xsl:variable name="provDoc" select="document($filename)/CLI/NOUN[@category='Provisioning']"/>
  <xsl:variable name="descDoc" select="document($filename)/CLI/NOUN[@status!='']"/>
  <xsl:variable name="cliDocCategory" select="document($filename)/CLI/CATEGORY_LIST/CATEGORY"/>
  <xsl:variable name="schemaDoc" select="document($filename)/SCHEMA/OWNER/TABLE"/>
  <xsl:variable name="schemaDocCategory" select="document($filename)/SCHEMA/OWNER"/>
  <xsl:variable name="caConfigDoc" select="document($filename)/CA_CONFIG/TYPE"/>
  <xsl:variable name="dbsizeDoc" select="document($filename)/DBSIZE/TABLE"/>
  <xsl:variable name="featureDoc" select="document($filename)/FEATURE_MATRIX/FEATURE"/>
  <xsl:variable name="featureByTabDoc" select="document($filename)/FEATURE_MATRIX/TABLE_LIST/TABLE"/>
  <xsl:if test="$myModule='CLI-Customer'">
    <xsl:call-template name="display-category">
      <xsl:with-param name="doc" select="$cliDocCategory"/>
    </xsl:call-template>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$cliDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="oDescFile" select="$oDescFile"/>
      <xsl:with-param name="upgradeFile" select="$upgradeFile"/>
      <xsl:with-param name="function" select="'display-customer-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='CLI'">
    <xsl:call-template name="display-category">
      <xsl:with-param name="doc" select="$cliDocCategory"/>
    </xsl:call-template>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$cliDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="oDescFile" select="$oDescFile"/>
      <xsl:with-param name="upgradeFile" select="$upgradeFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='Provisioning'">
    <xsl:call-template name="no-category"/>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$provDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="oDescFile" select="$oDescFile"/>
      <xsl:with-param name="upgradeFile" select="$upgradeFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>  
  <xsl:if test="$myModule='Schema'">
    <xsl:call-template name="display-category">
      <xsl:with-param name="doc" select="$schemaDocCategory"/>
    </xsl:call-template>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$schemaDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="oDescFile" select="$oDescFile"/>
      <xsl:with-param name="upgradeFile" select="$upgradeFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='CaConfig' or $myModule='H248GWP' or $myModule='CR:CaConfig' or $myModule='CR:H248GWP'">
    <xsl:call-template name="no-category"/>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$caConfigDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='DBSize'">
    <xsl:call-template name="no-category"/>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$dbsizeDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='Feature' or $myModule='CR:Feature'">
    <xsl:call-template name="no-category"/>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$featureDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='FeatureByTab'">
    <xsl:call-template name="no-category"/>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$featureByTabDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
    </xsl:call-template>
  </xsl:if>  
  <xsl:if test="$myModule='CR:Database' or $myModule='Description'">
    <xsl:call-template name="display-category">
      <xsl:with-param name="doc" select="$cliDocCategory"/>
    </xsl:call-template>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$descDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="upgradeFile" select="$upgradeFile"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
      <xsl:with-param name="delta" select="'no'"/>
    </xsl:call-template>
  </xsl:if>
  <xsl:if test="$myModule='Upgrade'">
    <xsl:call-template name="display-category">
      <xsl:with-param name="doc" select="$schemaDocCategory"/>
    </xsl:call-template>
    <xsl:call-template name="display-component">
      <xsl:with-param name="doc" select="$schemaDoc"/>
      <xsl:with-param name="xmlFile" select="$filename"/>
      <xsl:with-param name="xslFile" select="$xslFile"/>
      <xsl:with-param name="upgradeFile" select="''"/>
      <xsl:with-param name="function" select="'display-component-content'"/>
      <xsl:with-param name="delta" select="'no'"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template name="display-component-func">
  <xsl:param name="function"/>
  <xsl:param name="mDescFile"/>
  <xsl:param name="oDescFile"/>
  <xsl:choose>
  <xsl:when test="$function='display-customer-content'">
    <xsl:call-template name="display-customer-content">
      <xsl:with-param name="mDescFile" select="$mDescFile"/>
      <xsl:with-param name="oDescFile" select="$oDescFile"/>
    </xsl:call-template>
  </xsl:when>
  <xsl:otherwise>
    <xsl:call-template name="display-component-content"/>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="no-category">
  <input type="hidden" name="hasCategory" value=""/>
</xsl:template>

<xsl:template name="display-category">
  <xsl:param name="doc"/>
  <xsl:if test="$doc/@name!=''">
    <td>
    <input type="hidden" name="hasCategory" value="Y"/>
    <select name="category"
            style="font-family: verdana; font-size: 12px;"
            onchange="showRelease(getCategoryParams())">
      <option value="all" selected="">All</option>
      <xsl:for-each select="$doc">
        <xsl:if test="$choice='internal' or @name!='InternalOnly'">
          <xsl:choose>
          <xsl:when test="@name!=$category">
            <option value="{@name}">
              <xsl:value-of select="@name"/>
            </option>
          </xsl:when>
          <xsl:otherwise>
            <option value="{@name}" selected="">
              <xsl:value-of select="@name"/>
            </option>
          </xsl:otherwise>
          </xsl:choose>
        </xsl:if>
      </xsl:for-each>
    </select>
    </td>
  </xsl:if>
  <xsl:if test="not($doc/@name!='')">
    <input type="hidden" name="hasCategory" value=""/>
  </xsl:if>
</xsl:template>

<xsl:template name="display-component">
  <xsl:param name="doc"/>
  <xsl:param name="xmlFile"/>
  <xsl:param name="xslFile"/>
  <xsl:param name="mDescFile"/>
  <xsl:param name="oDescFile"/>
  <xsl:param name="upgradeFile"/>
  <xsl:param name="function"/>
  <xsl:param name="delta"/>
  <td>
    <input type="hidden" name="xmlFile" value="{$xmlFile}"/>
    <input type="hidden" name="xslFile" value="{$xslFile}"/>
    <input type="hidden" name="mDescFile" value="{$mDescFile}"/>
    <input type="hidden" name="oDescFile" value="{$oDescFile}"/>
    <input type="hidden" name="upgradeFile" value="{$upgradeFile}"/> 
    <select name="component" style="font-family: verdana; font-size: 12px;">
      <xsl:if test="$doc/../TABLE!=''">
        <xsl:for-each select="$doc">
         <xsl:sort select="../@name"/>
         <xsl:sort select="@name"/>
          <xsl:if test="$category='all' or ../@name=$category">
            <xsl:if test="$choice='internal' or not(@category='InternalOnly')">
              <xsl:call-template name="display-component-func">
                <xsl:with-param name="function" select="$function"/>
                <xsl:with-param name="mDescFile" select="$mDescFile"/>
                <xsl:with-param name="oDescFile" select="$oDescFile"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:if>
        </xsl:for-each>
      </xsl:if>
      <xsl:if test="not($doc/../TABLE!='')">
        <xsl:for-each select="$doc">
         <xsl:sort select="@name"/>
          <xsl:if test="$category='all' or @category=$category">
            <xsl:if test="$choice='internal' or not(@category='InternalOnly')">
              <xsl:call-template name="display-component-func">
                <xsl:with-param name="function" select="$function"/>
                <xsl:with-param name="mDescFile" select="$mDescFile"/>
                <xsl:with-param name="oDescFile" select="$oDescFile"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:if>
        </xsl:for-each>
      </xsl:if>
      <option value="all">***** All *****</option>
      <xsl:if test="$oldRel!='' or $delta='yes'">
        <option value="delta">***** Difference Only *****</option>
      </xsl:if>
    </select>
    <xsl:text>  </xsl:text>
    <input type="button" value="Show"
           style="font-family: verdana; font-size: 12px;"
           onclick="showDocument()"/>
  </td>
</xsl:template>

<xsl:template name="display-component-content">
  <xsl:choose>
  <xsl:when test="@status != ''">
    <xsl:if test="position()=1">
    <option value="{@name}"
            style="font-family:verdana;font-size:12px;color:red"
            selected="">
      <xsl:if test="../@name!=''">
        <xsl:value-of select="../@name"/>:<xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
      </xsl:if>
      <xsl:if test="not(../@name!='')">
        <xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
      </xsl:if>
    </option>
    </xsl:if>
    <xsl:if test="position()!=1">
    <option value="{@name}"
            style="font-family:verdana;font-size:12px;color:red">
      <xsl:if test="../@name!=''">
        <xsl:value-of select="../@name"/>:<xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
      </xsl:if>
      <xsl:if test="not(../@name!='')">
        <xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
      </xsl:if>
    </option>
    </xsl:if>
  </xsl:when>
  <xsl:otherwise>
    <xsl:if test="position()=1">
    <option value="{@name}" selected="">
      <xsl:if test="../@name!=''">
        <xsl:value-of select="../@name"/>:<xsl:value-of select="@name"/>
      </xsl:if>
      <xsl:if test="not(../@name!='')">
        <xsl:value-of select="@name"/>
      </xsl:if>
    </option>
    </xsl:if>
    <xsl:if test="position()!=1">
    <option value="{@name}">
      <xsl:if test="../@name!=''">
        <xsl:value-of select="../@name"/>:<xsl:value-of select="@name"/>
      </xsl:if>
      <xsl:if test="not(../@name!='')">
        <xsl:value-of select="@name"/>
      </xsl:if>
    </option>
    </xsl:if>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="display-customer-content">
  <xsl:param name="mDescFile"/>
  <xsl:param name="oDescFile"/>
  <xsl:variable name="odoc" select="document($oDescFile)/CLI/NOUN"/>
  <xsl:variable name="ofullname" select="$odoc[@name=current()/@name]/FULL_NAME"/>
  <xsl:variable name="doc" select="document($mDescFile)/CLI/NOUN"/>
  <xsl:variable name="fullname" select="$doc[@name=current()/@name]/FULL_NAME"/>
  <xsl:if test="not(@category='InternalOnly')">
    <xsl:choose>
    <xsl:when test="@status != ''">
      <xsl:if test="position()=1">
      <xsl:if test="$fullname != ''">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red"
                selected="">
          <xsl:value-of select="$fullname"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and $ofullname != ''">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red"
                selected="">
          <xsl:value-of select="$ofullname"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and not($ofullname != '')">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red"
                selected="">
          <xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      </xsl:if>
      <xsl:if test="position()!=1">
      <xsl:if test="$fullname != ''">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red">
          <xsl:value-of select="$fullname"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and $ofullname != ''">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red">
          <xsl:value-of select="$ofullname"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and not($ofullname != '')">
        <option value="{@name}"
                style="font-family:verdana;font-size:12px;color:red">
          <xsl:value-of select="@name"/> (<xsl:value-of select="@status"/>)
        </option>
      </xsl:if>
      </xsl:if>
    </xsl:when>
    <xsl:otherwise>
      <xsl:if test="position()=1">
      <xsl:if test="$fullname != ''">
        <option value="{@name}" selected=""><xsl:value-of select="$fullname"/></option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and $ofullname != ''">
        <option value="{@name}" selected=""><xsl:value-of select="$ofullname"/></option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and not($ofullname != '')">
        <option value="{@name}" selected=""><xsl:value-of select="@name"/></option>
      </xsl:if>
      </xsl:if>
      <xsl:if test="position()!=1">
      <xsl:if test="$fullname != ''">
        <option value="{@name}"><xsl:value-of select="$fullname"/></option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and $ofullname != ''">
        <option value="{@name}"><xsl:value-of select="$ofullname"/></option>
      </xsl:if>
      <xsl:if test="not($fullname != '') and not($ofullname != '')">
        <option value="{@name}"><xsl:value-of select="@name"/></option>
      </xsl:if>
      </xsl:if>
    </xsl:otherwise>
    </xsl:choose>
  </xsl:if>
</xsl:template>

<xsl:template name="help">
  <td>
    <A HREF="BTS-help.html" onClick="return popup(this, 'help')">
      <font color="white">Help</font>
    </A>
  </td>
</xsl:template>

</xsl:stylesheet>
